## virtme-ng 1.22

=== Makefile ===
.PHONY: init
init:
	cd virtme_ng_init && cargo install --path . --root ../virtme/guest

=== requirements.txt ===
argcomplete
requests

## virtme-ng 1.12

=== debian/changelog ===
virtme-ng (1.12-2) unstable; urgency=medium

  * Update watch file.

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Tue, 15 Aug 2023 14:36:44 +0200

virtme-ng (1.12-1) unstable; urgency=medium

  * Initial release. (Closes: #1036125)

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Mon, 15 May 2023 22:03:45 +0200

=== debian/control ===
Source: virtme-ng
Section: devel
Priority: optional
Maintainer: Ricardo Ribalda Delgado <ricardo@ribalda.com>
Standards-Version: 4.6.2
Homepage: https://github.com/arighi/virtme-ng
Vcs-Browser: https://salsa.debian.org/ribalda/virtme-ng
Vcs-Git: https://salsa.debian.org/ribalda/virtme-ng.git
Rules-Requires-Root: no
Build-Depends: bash-completion,
               debhelper (>= 11),
               debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-argcomplete:native

Package: virtme-ng
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Provides: virtme
Conflicts: virtme
Replaces: virtme
Recommends: qemu-system-x86
Suggests: qemu-system-arm,
          qemu-system-ppc,
          virtiofsd
Description: Helper scripts to test kernel code on qemu
 A set of simple tools to run a virtualized Linux kernel that uses the host
 Linux distribution or a simple rootfs instead of a whole disk image.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = virtme-ng

%:
	dh $@ --with python3 --buildsystem=pybuild --with bash-completion

virtme-ng-prompt:
	(register-python-argcomplete virtme-ng vng || register-python-argcomplete3 virtme-ng vng) > $@

override_dh_install: virtme-ng-prompt
	dh_install

override_dh_clean:
	rm -rf virtme_ng.egg-info .pybuild
	rm -rf virtme-ng-prompt virtme/guest/bin/
	rm -rf virtme_ng/__pycache__/
	dh_clean

## virtme-ng 1.22

=== debian/changelog ===
virtme-ng (1.22-1) unstable; urgency=medium

  * Uprev upstream package.
  * Remove merged patch.
  * Update salsa path to debian/virtme-ng

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Mon, 04 Mar 2024 15:44:29 +0100

virtme-ng (1.21-1) unstable; urgency=medium

  * Update upstream package.
  * Add kmod dependency.
  * Do not build virtme-ng-init.

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Tue, 20 Feb 2024 12:35:41 +0100

virtme-ng (1.19-1) unstable; urgency=medium

  * Update upstream package.

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Fri, 22 Dec 2023 13:08:58 +0100

virtme-ng (1.18-1) unstable; urgency=medium

  * Update upstream package.

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Wed, 29 Nov 2023 15:37:08 +0100

virtme-ng (1.17-1) unstable; urgency=medium

  * Update upstream package.
  * Removed merged patches.

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Thu, 09 Nov 2023 18:34:47 +0100

virtme-ng (1.15-1) unstable; urgency=medium

  * Update upstream package.
  * Move completions to /usr/share/bash-completion/completions.
  * Fix clean.

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Sun, 05 Nov 2023 18:23:11 +0100

virtme-ng (1.14-1) unstable; urgency=medium

  * Update upstream package.
  * Update dependencies.

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Sat, 28 Oct 2023 08:52:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: virtme-ng
 Section: devel
 Priority: optional
-Maintainer: Ricardo Ribalda Delgado <ricardo@ribalda.com>
+Maintainer: Ricardo Ribalda Delgado <ribalda@debian.org>
 Standards-Version: 4.6.2
 Homepage: https://github.com/arighi/virtme-ng
-Vcs-Browser: https://salsa.debian.org/ribalda/virtme-ng
-Vcs-Git: https://salsa.debian.org/ribalda/virtme-ng.git
+Vcs-Browser: https://salsa.debian.org/debian/virtme-ng
+Vcs-Git: https://salsa.debian.org/debian/virtme-ng.git
 Rules-Requires-Root: no
 Build-Depends: bash-completion,
                debhelper (>= 11),
@@ -19,12 +19,16 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         file,
+         kmod
 Provides: virtme
 Conflicts: virtme
 Replaces: virtme
 Recommends: qemu-system-x86
-Suggests: qemu-system-arm,
+Suggests: dbus-x11,
+          pulseaudio-utils,
+          qemu-system-arm,
           qemu-system-ppc,
           virtiofsd
 Description: Helper scripts to test kernel code on qemu

## virtme-ng 1.25

=== debian/changelog ===
virtme-ng (1.25-1) unstable; urgency=medium

  * Uprev upstream package.

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Wed, 29 May 2024 23:18:34 +0200

virtme-ng (1.24-1) unstable; urgency=medium

  * Uprev upstream package.

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Sat, 11 May 2024 10:01:49 +0200

virtme-ng (1.23-1) unstable; urgency=medium

  * Uprev upstream package.

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Tue, 02 Apr 2024 15:36:23 +0200

## virtme-ng 1.27

=== Makefile ===
INSTALL_ARGS :=	# todo: add --break-system-packages if ubuntu

# Get git version information for make install
GIT_DESCRIBE := $(shell git describe --always --long --dirty)

.PHONY: init
init:
	cd virtme_ng_init && cargo install --path . --root ../virtme/guest

# see README.md '* Install from source'
install: install_from_source
install_from_source:
	@echo "Version: $(GIT_DESCRIBE)"
	BUILD_VIRTME_NG_INIT=1 pip3 install --verbose -r requirements.txt $(INSTALL_ARGS) .

install_only_top:
	@echo "Version: $(GIT_DESCRIBE)"
	BUILD_VIRTME_NG_INIT=0 pip3 install --verbose -r requirements.txt $(INSTALL_ARGS) .

=== requirements.txt ===
argcomplete
argparse-manpage
requests

=== debian/changelog ===
virtme-ng (1.27-1) unstable; urgency=medium

  * Uprev upstream package.
  * Remove unused shlibs as depend.
  * Bump Debian standard.
  * Fix Build-Depends synstax.

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Wed, 14 Aug 2024 14:50:25 +0200

## virtme-ng 1.31

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,6 @@
 
 # Get git version information for make install
 GIT_DESCRIBE := $(shell git describe --always --long --dirty)
-
-.PHONY: init
-init:
-	cd virtme_ng_init && cargo install --path . --root ../virtme/guest
 
 # see README.md '* Install from source'
 install: install_from_source

=== requirements.txt ===
argcomplete
argparse-manpage
requests
setuptools

=== debian/changelog ===
virtme-ng (1.31-1) unstable; urgency=medium

  * Uprev upstream package.

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Mon, 28 Oct 2024 14:35:16 +0100

virtme-ng (1.29-1) unstable; urgency=medium

  * Uprev upstream package.

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Thu, 12 Sep 2024 13:10:50 +0200

## virtme-ng 1.32

=== Makefile ===
INSTALL_ARGS :=	# todo: add --break-system-packages if ubuntu

# Get git version information for make install
GIT_DESCRIBE := $(shell git describe --always --long --dirty)

.PHONY: all init clean install install_from_source install_only_top

all: init

virtme_ng_init/src/*.rs:
	git submodule update --init --recursive

virtme/guest/bin/virtme-ng-init: virtme_ng_init/src/*.rs
	BUILD_VIRTME_NG_INIT=1 python3 setup.py build

init: virtme/guest/bin/virtme-ng-init
	@echo "Version: $(GIT_DESCRIBE)"

clean:
	BUILD_VIRTME_NG_INIT=1 python3 setup.py clean
	rm -f virtme/guest/bin/virtme-ng-init

# see README.md '* Install from source'
install: install_from_source
install_from_source:
	@echo "Version: $(GIT_DESCRIBE)"
	BUILD_VIRTME_NG_INIT=1 pip3 install --verbose $(INSTALL_ARGS) .

install_only_top:
	@echo "Version: $(GIT_DESCRIBE)"
	BUILD_VIRTME_NG_INIT=0 pip3 install --verbose $(INSTALL_ARGS) .

=== debian/changelog ===
virtme-ng (1.32-1) unstable; urgency=medium

  * Uprev upstream package.

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Mon, 06 Jan 2025 12:42:45 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = virtme-ng

%:
	dh $@ --with python3 --buildsystem=pybuild --with bash-completion

clean:
	echo ignore

virtme-ng-prompt:
	(register-python-argcomplete virtme-ng || register-python-argcomplete3 virtme-ng) > $@
	(register-python-argcomplete vng || register-python-argcomplete3 vng) > vng-prompt

override_dh_install: virtme-ng-prompt
	dh_install

override_dh_clean:
	rm -rf virtme_ng.egg-info .pybuild
	rm -rf virtme-ng-prompt vng-prompt virtme/guest/bin/
	rm -rf virtme_ng/__pycache__/
	dh_clean

## virtme-ng 1.35

=== debian/changelog ===
virtme-ng (1.35-1) unstable; urgency=medium

  * Uprev upstream package.

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Mon, 05 May 2025 09:49:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Ricardo Ribalda Delgado <ribalda@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/arighi/virtme-ng
 Vcs-Browser: https://salsa.debian.org/debian/virtme-ng
 Vcs-Git: https://salsa.debian.org/debian/virtme-ng.git
@@ -13,12 +13,11 @@
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-argcomplete:native
+               python3-argcomplete
 
 Package: virtme-ng
 Architecture: all
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
          file,
          kmod

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild --with bash-completion
-
-clean:
-	echo ignore
 
 virtme-ng-prompt:
 	(register-python-argcomplete virtme-ng || register-python-argcomplete3 virtme-ng) > $@

=== debian/watch ===
version=4
https://github.com/arighi/virtme-ng/tags .*/v(\d\S+)\.tar\.gz

## virtme-ng 1.37

=== debian/changelog ===
virtme-ng (1.37-1) unstable; urgency=medium

  * Uprev upstream package.
  * Update clean target.
  * Add vng manpages.

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Thu, 18 Sep 2025 11:11:59 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,10 @@
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-argcomplete
+               python3-argcomplete,
+               python3-argparse-manpage,
+               python3-requests
+
 
 Package: virtme-ng
 Architecture: all

## virtme-ng 1.38

=== Makefile ===
--- 
+++ 
@@ -6,9 +6,6 @@
 .PHONY: all init clean install install_from_source install_only_top
 
 all: init
-
-virtme_ng_init/src/*.rs:
-	git submodule update --init --recursive
 
 virtme/guest/bin/virtme-ng-init: virtme_ng_init/src/*.rs
 	BUILD_VIRTME_NG_INIT=1 python3 setup.py build

=== debian/changelog ===
virtme-ng (1.38-2) unstable; urgency=medium

  * Backport patch from upstream: Increase udevadm timeout.

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Mon, 13 Oct 2025 18:10:42 +0200

virtme-ng (1.38-1) unstable; urgency=medium

  * Uprev upstream package.
  * Uprev watch file.
  * Uprev standards version.
  * Remove fixed lintian override.
  * Remove redundant Requires no root

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Fri, 03 Oct 2025 13:15:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: devel
 Priority: optional
 Maintainer: Ricardo Ribalda Delgado <ribalda@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/arighi/virtme-ng
 Vcs-Browser: https://salsa.debian.org/debian/virtme-ng
 Vcs-Git: https://salsa.debian.org/debian/virtme-ng.git
-Rules-Requires-Root: no
 Build-Depends: bash-completion,
                debhelper (>= 11),
                debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,5 @@
 	rm -rf virtme_ng.egg-info .pybuild
 	rm -rf virtme-ng-prompt vng-prompt virtme/guest/bin/
 	rm -rf virtme_ng/__pycache__/
+	rm -rf man/
 	dh_clean

## virtme-ng 1.40

=== debian/changelog ===
virtme-ng (1.40-2) unstable; urgency=medium

  * wrap-and-sort.
  * Remove extra dependency. (Closes: #1125855)
  * Do not install vng-mcp: The dependencies are missing in Debian.
  * Add missing dependencies. (Closes: #1110189)
  * Prepare for util-linux split. (Closes: #1116293)

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Wed, 21 Jan 2026 10:53:10 +0100

virtme-ng (1.40-1) unstable; urgency=medium

  * Uprev upstream package.
  * Remove merged patches.
  * Improve clean target.
  * Uprev standard.
  * Update lintian allowlist.

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Tue, 20 Jan 2026 15:09:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,30 @@
 Source: virtme-ng
 Section: devel
-Priority: optional
 Maintainer: Ricardo Ribalda Delgado <ribalda@debian.org>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/arighi/virtme-ng
 Vcs-Browser: https://salsa.debian.org/debian/virtme-ng
 Vcs-Git: https://salsa.debian.org/debian/virtme-ng.git
-Build-Depends: bash-completion,
-               debhelper (>= 11),
+Build-Depends: debhelper (>= 11),
                debhelper-compat (= 13),
                dh-python,
+               bash-completion,
                python3-all,
-               python3-setuptools,
                python3-argcomplete,
                python3-argparse-manpage,
-               python3-requests
-
+               python3-requests,
+               python3-setuptools
 
 Package: virtme-ng
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
+Depends: busybox-static,
          file,
-         kmod
+         iproute2,
+         kbd,
+         kmod,
+         util-linux-extra,
+         ${misc:Depends},
+         ${python3:Depends}
 Provides: virtme
 Conflicts: virtme
 Replaces: virtme

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,12 @@
 
 override_dh_install: virtme-ng-prompt
 	dh_install
+	rm -f debian/virtme-ng/usr/bin/vng-mcp
 
 override_dh_clean:
 	rm -rf virtme_ng.egg-info .pybuild
 	rm -rf virtme-ng-prompt vng-prompt virtme/guest/bin/
 	rm -rf virtme_ng/__pycache__/
 	rm -rf man/
+	rm -rf build/
 	dh_clean
